Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Get_Opt::ACE_Get_Opt_Long_Option Class Reference

is for internal use in the ACE_Get_Opt class, and is inaccessible to users. More...

List of all members.

## Public Methods
| ACE_Get_Opt_Long_Option (const ACE_TCHAR *name, int has_arg, int val=0)
| ctor. More...
| ~ACE_Get_Opt_Long_Option (void)
| Default dtor. More...
int | operator< (const ACE_Get_Opt_Long_Option &rhs)
## Public Attributes
const ACE_TCHAR * | name_
| Long option name. More...
int | has_arg_
| Contains value for <OPTION_ARG_MODE>. More...
int | val_
| Contains a valid short option character or zero if it doesn't have a corresponding short option. It can also contain a non-printable value that cannot be passed to <optstring> but will be returned by <operator()>. This is handy for simplifying long option handling, see tests/Get_Opt_Test.cpp for an example of this technique. More...

## Detailed Description

is for internal use in the ACE_Get_Opt class, and is inaccessible to users.

## Constructor & Destructor Documentation

ACE_Get_Opt::ACE_Get_Opt_Long_Option::ACE_Get_Opt_Long_Option | ( | const ACE_TCHAR * | name,
|  | int | has_arg,
|  | int | val = 0
| ) |

| ctor.

ACE_Get_Opt::ACE_Get_Opt_Long_Option::~ACE_Get_Opt_Long_Option | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

ACE_INLINE int ACE_Get_Opt::ACE_Get_Opt_Long_Option::operator< | ( | const ACE_Get_Opt_Long_Option & | rhs | ) |

## Member Data Documentation

int ACE_Get_Opt::ACE_Get_Opt_Long_Option::has_arg_

| Contains value for <OPTION_ARG_MODE>.

const ACE_TCHAR* ACE_Get_Opt::ACE_Get_Opt_Long_Option::name_

| Long option name.

int ACE_Get_Opt::ACE_Get_Opt_Long_Option::val_

| Contains a valid short option character or zero if it doesn't have a corresponding short option. It can also contain a non-printable value that cannot be passed to <optstring> but will be returned by <operator()>. This is handy for simplifying long option handling, see tests/Get_Opt_Test.cpp for an example of this technique.

The documentation for this class was generated from the following files:

- Get_Opt.h
- Get_Opt.cpp
- Get_Opt.i